---
title: HTMLElement.hidden
slug: Web/API/HTMLElement/hidden
tags:
  - API
  - Attribute
  - Element
  - HTML
  - HTML element
  - Property
  - Reference
  - hidden
---
<div>
<div>{{ APIRef("HTML DOM") }}</div>
</div>

<p><span class="seoSummary">The {{domxref("HTMLElement")}} property <strong><code>hidden</code></strong> is a {{jsxref("Boolean")}} which is <code>true</code> if the element is hidden; otherwise the value is <code>false</code>. This is quite different from using the CSS property {{cssxref("display")}} to control the visibility of an element.</span> The <code>hidden</code> property applies to all presentation modes and should not be used to hide content that is meant to be directly accessible to the user.</p>

<p>Appropriate use cases for <code>hidden</code> include:</p>

<ul>
 <li>Content that isn't yet relevant but may be needed later</li>
 <li>Content that was previously needed but is not any longer</li>
 <li>Content that is reused by other parts of the page in a template-like fashion</li>
 <li>Creating an offscreen canvas as a drawing buffer</li>
</ul>

<p>Inappropriate use cases include:</p>

<ul>
 <li>Hiding panels in a tabbed dialog box</li>
 <li>Hiding content in one presentation while intending it to be visible in others</li>
</ul>

<div class="note">
<p>Elements that are not <code>hidden</code> must not link to elements which are.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>isHidden</em> = <em>HTMLElement</em>.hidden;

<em>HTMLElement</em>.hidden = true | false;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean which is <code>true</code> if the element is hidden from view; otherwise, the value is <code>false</code>.</p>

<h2 id="Example">Example</h2>

<p>Here's an example where a hidden block is used to contain a thank you message that is displayed after a user agrees to an unusual request.</p>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js notranslate">document.getElementById("okButton")
        .addEventListener("click", function() {
  document.getElementById("welcome").hidden = true;
  document.getElementById("awesome").hidden = false;
}, false);</pre>

<p>This code sets up a handler for the welcome panel's "OK" button that hides the welcome panel and makes the follow-up panel—with the curious name "awesome"—visible in its place.</p>

<h3 id="HTML">HTML</h3>

<p>The HTML for the two boxes are shown here.</p>

<h4 id="The_welcome_panel">The welcome panel</h4>

<pre class="brush: html notranslate">&lt;div id="welcome" class="panel"&gt;
  &lt;h1&gt;Welcome to Foobar.com!&lt;/h1&gt;
  &lt;p&gt;By clicking "OK" you agree to be awesome every day!&lt;/p&gt;
  &lt;button class="button" id="okButton"&gt;OK&lt;/button&gt;
&lt;/div&gt;</pre>

<p>This HTML creates a panel (in a {{HTMLElement("div")}} block) that welcomes the user to a site and tells them what they're agreeing to by clicking the OK button.</p>

<h4 id="The_follow-up_panel">The follow-up panel</h4>

<p>Once the user clicks the "OK" button in the welcome panel, the JavaScript code swaps the two panels by changing their respective values for <code>hidden</code>. The follow-up panel looks like this in HTML:</p>

<pre class="brush: html notranslate">&lt;div id="awesome" class="panel" hidden&gt;
  &lt;h1&gt;Thanks!&lt;/h1&gt;
  &lt;p&gt;Thank you &lt;strong&gt;so&lt;/strong&gt; much for agreeing to be
  awesome today! Now get out there and do awesome things
  awesomely to make the world more awesome!&lt;/p&gt;
&lt;/div&gt;</pre>

<h3 id="CSS">CSS</h3>

<p>The content is styled using the CSS below.</p>

<pre class="brush: css notranslate">.panel {
  font: 16px "Open Sans", Helvetica, Arial, sans-serif;
  border: 1px solid #22d;
  padding: 12px;
  width: 500px;
  text-align: center;
}

.button {
  font: 22px "Open Sans", Helvetica, Arial, sans-serif;
  padding: 5px 36px;
}

h1 {
  margin-top: 0;
  font-size: 175%;
}</pre>

<h3 id="Result">Result</h3>

<p>{{ EmbedLiveSample('Example', 560, 200) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "interaction.html#dom-hidden", "HTMLElement.hidden")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5.1', "editing.html#the-hidden-attribute", "HTMLElement.hidden")}}</td>
   <td>{{Spec2('HTML5.1')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "editing.html#the-hidden-attribute", "HTMLElement.hidden")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLElement.hidden")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{htmlattrxref("hidden")}} attribute</li>
 <li>{{cssxref("display")}}</li>
</ul>
